Subject: Re: CAP Last call???

From: [email-masked]
Date: Fri, 14 Mar 2003 13:51:46 -0500

Doug, I did not do a last call so "bruce would respond to an email."  8-)  
I did a last call because we need to get this draft out - sometime in my 
lifetime.

Doug Royer <[email-masked]>
Sent by: [email-masked]
03/14/2003 12:48
Please respond to ietf-calendar

        To:     "[email-masked]" <[email-masked]>
        cc: 
        Subject:        Re: CAP Last call???

[email-masked] wrote:
> 
> Doug replied on 03/13/2003 05:49:20 PM:
>  > > Another issue from WAAAY back was the proliferation of top level
>  > > Response Codes in CAP.  From Section 10.11. Response Codes:
>  > > ...
>  >
>  > So if you take the REQUEST-STATUS e-mail that I sent one or two
>  > weeks ago and add that into cap - does that solve *this* issue?

> 
> RFC 2445 does not define a top level 5 class of error but we somehow 
> put/left them in RFC 2446.  This is a known issue with 2446 from, oh, 
> about 2 or 3 years ago.  This should be fixed when we post errata or an 
> update to 2445.  Neither 2446 NOR your posting has any prose on what a 
> top level 5.x error code is.  Nothing close to the cited table from 2445 

> that clearly defines them. 

I am confused - part of my proposal was to renumber the error codes:

                 I also propose that we call all 6.x codes CMD or CS codes
                 and renumber all 6.x, 7.x, 8.x, 9.x, and 10,x codes to
                 be 6.x codes.

                 We may also want to renumber some of these that are not
                 used prior to CAP anyway.

So I agree. And please note that I proposed deleting the 5.x codes.
I also think we should/could re-map them into a 'command set' of
errors that are CAP specific.

> Nor does CAP have anything like it.  Nor does your message address the 
> addition of 6 new top level classes in CAP without defining them either! 

>  Nor does your note address CAPs proliferation of so many near top level 

> response codes.

They were defined, example:

                 9.0              An unrecognized command was received.
                                  Or an unsupported command was received.

And I do not care if it is y.z or 9.x.

> So I guess that would be a definite, No your note does NOT solve 
> _*this*_ issue.  If it does, could you point out what I missed so I can 
> reconsider?
> 
>  > It was a proposal on how to merge/fix/update the REQUEST-STATUS
>  > codes. I do not recall that you responded. I got NO negative feedback
>  > and some positive feedback. So I assume the rest of the WG felt
>  > it addressed those issues?
> 
> We were more involved with the ongoing discussion of ordering of results 

> and CREATE and the UTF-8 issues in case you hadn't noticed.  I did not 
> respond as it fell out of the active view of things.  In looking now I 
> see no negative OR postitive responses.  When issues get squeezed out by 

> more active and drawn out threads then silence is not always acceptance; 

> it can be just a forgotten posting.

Thanks Pat for calling for Last Call so Bruce would read and
respond to the e-mail :-)

-- 

  Doug Royer                     |   http://INET-Consulting.com
  -------------------------------|-----------------------------
  [email-masked]                 | Office: (208)612-INET
  http://Royer.com/People/Doug   |    Fax: (866)594-8574
                                 |   Cell: (208)520-4044

                 We Do Standards - You Need Standards

---

From: Doug Royer <[email-masked]>
Date: Fri, 14 Mar 2003 15:18:44 -0700

> Doug, I did not do a last call so "bruce would respond to an email."  8-) 

I stand corrected :-)
It is however nice to get feedback!

> I did a last call because we need to get this draft out - sometime in my 

Yes I would also not look forward to a 10 year CAP anniversary.
This November will be the 5 year anniversary of capreq-00 publication.

We have two basic choices:

  (1) Fix the missing items - only (Plus only BUSTED items in CAP fixes).
      This would require that we all remind each other of NO CHANGES.
or

  (2) We keep this up for at least a year more to debate how each
      removal/fix is going to be written with MUST/MAY/SHOULD.

Missing:

   BEEP PROFILE:         Any volunteer proposals. (AS in if YES
                         send the *proposals* to the list).

   REQUEST-STATUS codes: I think the text is correct, we just need
                         to fix the numbers associated with those
                         errors.